/*
 * usb/endpt0.h -- USB endpoint 0 (control) handling
 *
 * Copyright (C) 2016 Tomasz Kramkowski <tk@the-tk.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef FMK_USB_ENDPT0_H
#define FMK_USB_ENDPT0_H

#include <stdint.h>

void usb_endpt0_disable(void);
void usb_endpt0_enable(void);
void usb_endpt0_token(uint8_t state);

#endif /* FMK_USB_ENDPT0_H */
